##
##  kubeshell.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_kubeshell_base  0.0.21
%define       V_kubeshell_snap  20200122

#   package information
Name:         kubeshell
Summary:      Kubernetes Shell
URL:          https://github.com/cloudnativelabs/kube-shell
Vendor:       Cloud Native Labs
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Terminal
License:      Apache
Version:      %{V_kubeshell_base}.%{V_kubeshell_snap}
Release:      20200122

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/kubeshell/kubeshell-%{V_kubeshell_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  python, python-setup
PreReq:       python, python-setup

%description
    Kube-Shell is an integrated shell for working with the Kubernetes
    CLI. Under the hood kube-shell(1) still calls kubectl(1). Kube-Shell
    aims to provide ease-of-use of kubectl(1) and increasing productivity.

%track
    prog kubeshell:base = {
        version   = %{V_kubeshell_base}
        url       = https://github.com/cloudnativelabs/kube-shell/releases
        regex     = (__VER__)\.tar\.gz
    }
    prog kubeshell:snap = {
        version   = %{V_kubeshell_snap}
        url       = http://download.openpkg.org/components/versioned/kubeshell/
        regex     = kubeshell-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n kubeshell

%build

%install
    #   install package
    export HOME=`pwd`
    %{l_prefix}/bin/python -m pip \
        install \
        --root=$RPM_BUILD_ROOT \
        --prefix=%{l_prefix} \
        --isolated \
        --ignore-installed \
        --no-warn-script-location \
        *

    #   remove problematic files
    rm -f "$RPM_BUILD_ROOT%{l_prefix}/lib/python3.8/site-packages/setuptools/script (dev).tmpl"
    rm -f "$RPM_BUILD_ROOT%{l_prefix}/lib/python3.8/site-packages/setuptools/command/launcher manifest.xml"

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

